Supported TargetsΒΆ

Currently, rocALUTION is supported under the following operating systems

  • Ubuntu 16.04, Ubuntu 18.04

  • CentOS 7

  • SLES 15

To compile and run rocALUTION with HIP support, AMD ROCm Platform 2.9 or newer is required.

The following HIP devices are currently supported

  • gfx803 (e.g. Fiji)

  • gfx900 (e.g. Vega10, MI25)

  • gfx906 (e.g. Vega20, MI50, MI60)

  • gfx908